# chess_programming

This repository contains the source code for a chess engine written in C language.
This is a project that is part of the MLOD UV.

-------------------------------------------------------------------------------------------------------------
  +- author       : Radia EL HAMDOUNI .
  +- start date   : October 26th , 2020.
  +- deadline     : November 3rd , 2020.
  +- description  : 
    - The user can play against the chess engine that will predict the best moves to win the game.
    
-----------------------------------------------------------------------------------------------------------



            - Chess board representation : 
            8    ♜  ♞  ♝  ♛  ♚  ♝  ♞  ♜ 
            7    ♟︎  ♟︎  ♟︎  ♟︎  ♟︎  ♟︎  ♟︎  ♟︎ 
            6    .  .  .  .  .  .  .  . 
            5    .  .  .  .  .  .  .  . 
            4    .  .  .  .  .  .  .  . 
            3    .  .  .  .  .  .  .  . 
            2    ♙  ♙  ♙  ♙  ♙  ♙  ♙  ♙ 
            1    ♖  ♘  ♗  ♕  ♔  ♗  ♘  ♖ 
    
                 a  b  c  d  e  f  g  h 
             
             
        - Example of moving pieces : 
        
            8    ♜  ♞  ♝  ♛  ♚  ♝  ♞  ♜ 
            7    ♟︎  ♟︎  ♟︎  ♟︎  ♟︎  ♟︎  ♟︎  ♟︎ 
            6    .  .  .  .  .  .  .  . 
            5    .  .  .  .  .  .  .  . 
            4    .  .  .  .  ♙  .  .  . 
            3    .  .  .  .  .  .  .  . 
            2    ♙  ♙  ♙  ♙  .  ♙  ♙  ♙ 
            1    ♖  ♘  ♗  ♕  ♔  ♗  ♘  ♖ 

                 a  b  c  d  e  f  g  h 

            8    ♜  ♞  ♝  ♛  ♚  ♝  ♞  ♜ 
            7    ♟︎  ♟︎  ♟︎  ♟︎  ♟︎  .  ♟︎  ♟︎ 
            6    .  .  .  .  .  ♟︎  .  . 
            5    .  .  .  .  .  .  .  . 
            4    .  .  .  .  ♙  .  .  . 
            3    .  .  .  .  .  .  .  . 
            2    ♙  ♙  ♙  ♙  .  ♙  ♙  ♙ 
            1    ♖  ♘  ♗  ♕  ♔  ♗  ♘  ♖ 

                 a  b  c  d  e  f  g  h 


            8    ♜  ♞  ♝  ♛  ♚  ♝  ♞  ♜ 
            7    ♟︎  ♟︎  ♟︎  ♟︎  ♟︎  .  ♟︎  ♟︎ 
            6    .  .  .  .  .  ♟︎  .  . 
            5    .  .  .  .  .  .  .  . 
            4    .  .  .  .  ♙  .  .  . 
            3    .  .  .  .  .  ♘  .  . 
            2    ♙  ♙  ♙  ♙  .  ♙  ♙  ♙ 
            1    ♖  ♘  ♗  ♕  ♔  ♗  .  ♖ 

                 a  b  c  d  e  f  g  h 

            8    ♜  ♞  ♝  ♛  ♚  ♝  ♞  ♜ 
            7    ♟︎  ♟︎  ♟︎  ♟︎  ♟︎  .  ♟︎  . 
            6    .  .  .  .  .  ♟︎  .  . 
            5    .  .  .  .  .  .  .  ♟︎ 
            4    .  .  .  .  ♙  .  .  . 
            3    .  .  .  .  .  ♘  .  . 
            2    ♙  ♙  ♙  ♙  .  ♙  ♙  ♙ 
            1    ♖  ♘  ♗  ♕  ♔  ♗  .  ♖ 

                 a  b  c  d  e  f  g  h 